package com.goafanti.common.enums;

import java.util.HashMap;
import java.util.Map;

import org.apache.commons.lang3.StringUtils;

public enum DemandPortalSearchSignType {
	ALL(0, "查询全部"),
	NEGOATION(1,"交付意向金"),
	OTHER(2, "其他");

	private DemandPortalSearchSignType(Integer code, String desc) {
		this.code = code;
		this.desc = desc;
	}

	private static Map<Integer, DemandPortalSearchSignType> status = new HashMap<Integer, DemandPortalSearchSignType>();

	static {
		for (DemandPortalSearchSignType value : DemandPortalSearchSignType.values()) {
			status.put(value.getCode(), value);
		}
	}

	public static DemandPortalSearchSignType getStatus(Integer code) {
		if (containsType(code)) {
			return status.get(code);
		}
		return OTHER;
	}

	public static DemandPortalSearchSignType getStatus(String code) {
		if (StringUtils.isNumeric(code)) {
			return getStatus(Integer.parseInt(code));
		}
		return OTHER;
	}

	public static boolean containsType(Integer code) {
		return status.containsKey(code);
	}

	private Integer	code;
	private String	desc;

	public Integer getCode() {
		return code;
	}

	public String getDesc() {
		return desc;
	}
}
